import { Platform, ToastAndroid } from "react-native";
import * as Updates from "expo-updates";

export const UpdateAsync = () => {
  Updates.checkForUpdateAsync()
    .then((update) => {
      if (!update.isAvailable) return;
      if (Platform.OS !== "android") {
        alert("アプリのデータを更新しています。");
      } else {
        ToastAndroid.showWithGravityAndOffset(
          "アプリのデータを更新しています。",
          ToastAndroid.LONG,
          ToastAndroid.BOTTOM,
          25,
          50
        );
      }
      Updates.fetchUpdateAsync().then(Updates.reloadAsync);
      return;
    })
    .catch((e) => {
      Platform.OS != "android"
        ? alert(e.toString())
        : ToastAndroid.showWithGravityAndOffset(
            e.toString(),
            ToastAndroid.LONG,
            ToastAndroid.BOTTOM,
            25,
            50
          );
      return;
    })
    .finally(() => {
      return;
    });
};
